import javascript
from browser import document

regex = javascript.RegExp.new(r'^https?://(www\.)?darmo-creations\.(net|herokuapp\.com)/')
for anchor in document.select('main a'):
    if not regex.exec(anchor.href):
        anchor.target = '_blank'
        if 'no-symbol' not in anchor.classList:
            anchor.innerHTML += '&nbsp;<i class="fas fa-external-link-alt"></i>'
